        var ii=0;
        var jj=0;
        var eventoControlado = false;
        window.onload = function(){document.onkeypress = cambioIm;}
        function cambioIm(evObject){
           var chr = String.fromCharCode(evObject.which);
           if(chr=="q"){
              var rx=getRI(ii)-1
              var qw=getR(rx)
              if(qw!=-1){ii=qw;show();}}
           else if(chr=="a"){
              var rx=getRI(ii)+1
              var qw=getR(rx)
              if(qw!=-1){ii=qw;show();}}
           else if(chr=="o"){
              if(0<jj){jj-=1; show();}}
           else if(chr=="p"){
              if(jj<3){jj+=1; show();}}
           else if(chr=="w"){
              var tag=document.getElementById('largeImg');
              tag.width =  tag.width *1.1;
              tag.height = tag.height*1.1;}
           else if(chr=="s"){
              var tag=document.getElementById('largeImg');
              tag.width =  tag.width /1.1;
              tag.height = tag.height/1.1;}
           eventoControlado=true;}
        function showImage(rr,cc) {
           ii=rr;
           jj=cc;
           show(ii,jj);}
        function show() {
           console.log(ii,jj)
           document.getElementById('largeImg').src = getF(ii,jj);
           document.getElementById('largeImgText').innerHTML = getT(ii,jj);
           document.getElementById('largeImgPanel').style.visibility = 'visible';
           if(document.selection) document.selection.empty();
           if(window.getSelection) window.getSelection().removeAllRanges();}
        function hideMe(obj) {
           obj.style.visibility = 'hidden';}
        function getRI(iii){
           var res=-1
           for(k=0;k<100;k++){
               if(iii==getR(k)){res=k;}}
           return res;}
        function includeHTML(){
           /*loop through a collection of all HTML elements: https://www.w3schools.com/howto/howto_html_include.asp*/
           var z, i, elmnt, file, xhttp;
           z = document.getElementsByTagName("*");
           for(i=0;i<z.length;i++){
               elmnt = z[i];
               /*search for elements with a certain atrribute:*/
               file = elmnt.getAttribute("w3-include-html");
               if (file) {
                  /*make an HTTP request using the attribute value as the file name:*/
                  xhttp = new XMLHttpRequest();
                  xhttp.onreadystatechange = function() {
                          if (this.readyState == 4) {
                             if (this.status == 200) {elmnt.innerHTML = this.responseText;}
                             if (this.status == 404) {elmnt.innerHTML = "Page not found.";}
                             /*remove the attribute, and call this function once more:*/
                             elmnt.removeAttribute("w3-include-html");
                             includeHTML();}}
                  xhttp.open("GET", file, true);
                  xhttp.send();
                  return;}}}
        function getF(rr,cc){
       if(rr==7 && cc==0){return '../../SIN/018/cl0_tz_500.png';}
       if(rr==7 && cc==1){return '../../SIN/018/cl1_tz_500.png';}
       if(rr==7 && cc==2){return '../../SIN/018/cl2_tz_500.png';}
       if(rr==7 && cc==3){return '../../SIN/018/cl3_tz_500.png';}
       if(rr==34 && cc==0){return 'prob_swh_thr1.25_cl0.png';}
       if(rr==34 && cc==1){return 'prob_swh_thr1.25_cl1.png';}
       if(rr==34 && cc==2){return 'prob_swh_thr1.25_cl2.png';}
       if(rr==34 && cc==3){return 'prob_swh_thr1.25_cl3.png';}
       if(rr==35 && cc==0){return 'prob_swh_thr2.5_cl0.png';}
       if(rr==35 && cc==1){return 'prob_swh_thr2.5_cl1.png';}
       if(rr==35 && cc==2){return 'prob_swh_thr2.5_cl2.png';}
       if(rr==35 && cc==3){return 'prob_swh_thr2.5_cl3.png';}
       if(rr==36 && cc==0){return 'prob_swh_thr4_cl0.png';}
       if(rr==36 && cc==1){return 'prob_swh_thr4_cl1.png';}
       if(rr==36 && cc==2){return 'prob_swh_thr4_cl2.png';}
       if(rr==36 && cc==3){return 'prob_swh_thr4_cl3.png';}
       if(rr==37 && cc==0){return 'prob_swh_thr6_cl0.png';}
       if(rr==37 && cc==1){return 'prob_swh_thr6_cl1.png';}
       if(rr==37 && cc==2){return 'prob_swh_thr6_cl2.png';}
       if(rr==37 && cc==3){return 'prob_swh_thr6_cl3.png';}
       if(rr==38 && cc==0){return 'prob_swh_thr9_cl0.png';}
       if(rr==38 && cc==1){return 'prob_swh_thr9_cl1.png';}
       if(rr==38 && cc==2){return 'prob_swh_thr9_cl2.png';}
       if(rr==38 && cc==3){return 'prob_swh_thr9_cl3.png';}
       if(rr==39 && cc==0){return 'prob_swh_thr14_cl0.png';}
       if(rr==39 && cc==1){return 'prob_swh_thr14_cl1.png';}
       if(rr==39 && cc==2){return 'prob_swh_thr14_cl2.png';}
       if(rr==39 && cc==3){return 'prob_swh_thr14_cl3.png';}
}
        function getT(rr,cc){
       if(rr==7 && cc==0){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==7 && cc==1){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==7 && cc==2){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==7 && cc==3){return '<strong>Temperatura (C) y Altura Geopotencial (m) en 500 hPa</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
       if(rr==34 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==34 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==34 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==34 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 1.25 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
       if(rr==35 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==35 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==35 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==35 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 2.5 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
       if(rr==36 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==36 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==36 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==36 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 4 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
       if(rr==37 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==37 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==37 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==37 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 6 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
       if(rr==38 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==38 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==38 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==38 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 9 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
       if(rr==39 && cc==0){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br><strong>control +<br>EPS</strong>';}
       if(rr==39 && cc==1){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>1</strong> representante: <strong>0</strong> miembros: 24 <strong>control</strong><br>0,1,2,3,4,6,8,11,15,16,19,21,28,30,32,34,35,38,42,45,46,47,49,50';}
       if(rr==39 && cc==2){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>2</strong> representante: <strong>40</strong> miembros: 16 <br>5,7,10,14,18,22,23,25,26,27,31,33,36,37,39,40';}
       if(rr==39 && cc==3){return '<strong>Probabilidad de altura significativa de olas de mar combinada superior a 14 m</strong><br><br><strong>20260519 a 12</strong> UTC HH+018 (rango:012-024)<br>grupo: <strong>3</strong> representante: <strong>17</strong> miembros: 11 <br>9,12,13,17,20,24,29,41,43,44,48';}
}
        function getR(rrw){
           cx=0;
       cx+=1;
       if(rrw==cx){return 7;}
       cx+=1;
       if(rrw==cx){return 34;}
       cx+=1;
       if(rrw==cx){return 35;}
       cx+=1;
       if(rrw==cx){return 36;}
       cx+=1;
       if(rrw==cx){return 37;}
       cx+=1;
       if(rrw==cx){return 38;}
       cx+=1;
       if(rrw==cx){return 39;}
return -1;}
